Bug 211731 - Network fails: NoneType object has no attribute get_text
Network fails: NoneType object has no attribute get_text
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-21 10:09 EDT by Jakub Suchy
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-23 10:36:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda exception dump (46.55 KB, text/plain)
2006-10-21 12:29 EDT, Jakub Suchy
no flags Details

  None (edit)
Description Jakub Suchy 2006-10-21 10:09:09 EDT
Description of problem:


Version-Release number of selected component (if applicable):
Fedora Core 6 Test 5.92

How reproducible:
Download installation DVD, start installation, go through installation to
"Select packages". Select "Software development". Fedora installer asks about
connecting to internet. Permit and select DHCP or manual. Click OK and Anaconda
throws an unexpected exception.

Reproducible: always

Actual results:
Throws an exception and installation quits

Expected results:
Assign an IP address

Additional info:
Comment 1 Jakub Suchy 2006-10-21 10:10:35 EDT
Additional info:
/usr/lib/anaconda/iw/netconfig_dialog.py line 168 in _ok ipv4addr =
self.xml.get_widget("ipv4AddressEntry").get_text()

NoneType object has no attribute 'get_text'
Comment 2 Jakub Suchy 2006-10-21 12:29:36 EDT
Created attachment 139058 [details]
Anaconda exception dump

I tried it again in VMWare and saved a dump of an exception to a file. This is
the dump.
Comment 3 Chris Lumens 2006-10-23 10:36:53 EDT
This is fixed in FC6 final.

Note You need to log in before you can comment on or make changes to this bug.